import { EventEmitter } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { DocumentResponse, DocumentModel } from '../../shared/models';
import * as i0 from "@angular/core";
export declare class SignalRService {
    private http;
    private hubConnection;
    host: string;
    messageReceived: EventEmitter<{
        menssagem: Array<DocumentResponse>;
        uniqueKey: number;
    }>;
    constructor(http: HttpClient);
    initializeConnection(sessionID: string): void;
    startConnection(): Promise<void>;
    joinSession(sessionID: string): Promise<void>;
    leaveSession(sessionID: string): Promise<void>;
    formsLocal(sessionID: string | null, body: Array<DocumentModel | null>): Promise<Array<DocumentResponse> | undefined>;
    formsSinalR(sessionID: string | null, body: Array<DocumentModel | null>): Promise<Array<DocumentResponse> | undefined>;
    listenForMessageUnique(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SignalRService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SignalRService>;
}
